LFR-FSW - Bug #53

TM_LFR_PARAMETER_DUMP incohérent avec I'lCD.
18/02/2014 04:11 PM - Gerald Saule

Status: Closed Start date: 18/02/2014
Priority: High Due date:

Assignee: paul leroy % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r104

Description

Les données brutes sont:
14:56:20.66118, 1L, 2L, OL, OL, 12L, 201L, 192L, 1L, OL, 27L, 16L, 3L, 25L, OL, 128L, OL, 1L, 20L, 117L, 60L, 10L, OL, 16L, 8L, OL,
1L, 44L, 14L, 16L, 4L, 20L, OL, OL, 1L, 5L, 1L, 1L, 1L

L'outil d'analyse des TM y associe:
14:56:20.66118, TM_LFR_PARAMETER_DUMP/N\Length (byte) - Exp=36, Res=34, /\(Ifr_tm_packet_detail)

A priori, les champs (bytes) SY_LFR_S2_BP_P1 et SPARE (positions 34-35) sont omis.
Contexte:

LPPMON: Version=0.2.2 - Branch=default (Changeset=835955994d5f)

Carte mini-LFR: LFR-172200 dev V1.0; No série lll (sans connecteurs sub-click)

Vhdl: mini-Ifr_0.0.0.15

LFR FSW: 1.0.0.1 (variante sur carte finale)

Brique Star-Dundee S/N 46120065.

TEST CASE = SVS_0001

RPW-SYS-MEB-LFR-ICD-00097 Issue2_Rev0
RPW-SYS-SSS-00013-LES + Annex_Release_Definition Issue2_rev1

History

#1 - 18/02/2014 04:34 PM - paul leroy

- Status changed from New to Resolved

Bug identifié et corrigé. rev >= 1.0.0.2

#2 - 05/03/2014 02:38 PM - Gerald Saule

Les données brutes sont les suivantes:

14:01:58.571041,1, 2,0, 0, 12, 201, 192, 1, 0, 29, 16, 3, 25,0, 0, 0, O, 16, 165, 173, 10, 0, 16, 8, 0, 1, 44, 14,16, 4,20,0,0,1,5,1,1,1,5,0

On retrouve les 4 octets d'en-téte, et les 36 octets de TM_LFR_PARAMETER_DUMP.
On interpréte raisonnablement:

14:01:58.571041, TM_LFR_PARAMETER_DUMP, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET = 0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY: DUMP = 9,

(PACKET _ID=0xcc9), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=1,
(PACKET_SEQUENCE_CONTROL=0xc001), PACKET _LENGTH=29, SPARE_1=0, PUS_VERSION = 1, SPARE_2-0, SERVICE_TYPE:
HOUSEKEEPING_AND_DIAGNOSTIC_DATA_REPORTING = 3, SERVICE_SUBTYPE: HK_PARAMETER_REPORT = 25, DESTINATION_ID:
GROUND = 0, TIME=0x00000010a5ad, PA_LFR_HK_SID: LFR_DUMP_SID = 10, SPARE=0x0, SY_LFR_BW=1, SY_LFR_SP0=0,
SY_LFR_SP1=0, SY_LFR_R0=0, SY_LFR_R1=0, SY_LFR_N_SWF _L=2048, SY_LFR_N_SWF_P=300(s), SY_LFR_N_ASM_P=3600(s),
SY_LFR_N_BP_P0=4(s), SY_LFR_N_BP_P1=20(s), SPARE=0x0, SY_LFR_N_CWF_LONG_F3=0, SPARE=0x0, SY_LFR_B_BP_P0=1(s),

SY LFR B_BP P1=5(s), SY_LFR S1 BP P0-0.25(s), SY LFR S1_BP P1=1(s), SY_LFR S2 BP P0=1(s), SY LFR_S2 BP_P1=5(s),
SPARE=0x0
=>Cette issue peut étre fermée. check.png

Contexte:
LPPMON Version=0.2.2 - Branch=default - Changeset=835955994d5f

Carte mini-LFR: LFR-172200 dev V1.0; No série Il (sans connecteurs sub-click)
Vhdl: mini-lfr_VHDLib206 (Carte mini-LFR)
Soft: 1.0.0.2 (variante sur carte finale) = r104

Brique Brique Star-Dundee S/N 46120065.

RPW-SYS-MEB-LFR-ICD-00097 Issue2_Rev0
RPW-SYS-SSS-00013-LES + Annex_Release_Definition Issue2_rev1

#3 - 05/03/2014 02:41 PM - Gerald Saule
- Status changed from Resolved to Closed

- revision changed from r98 to r104
